### A free/open-source library for quantitative finance

Classes
ql/models/parameter.hpp File Reference

Model parameter classes. More...

`#include <ql/qldefines.hpp>`
`#include <ql/handle.hpp>`
`#include <ql/math/optimization/constraint.hpp>`
`#include <vector>`
Include dependency graph for parameter.hpp:

## Classes

class | Parameter
| Base class for model arguments. More...
class | Parameter::Impl
| Base class for model parameter implementation. More...
class | ConstantParameter
| Standard constant parameter . More...
class | NullParameter
| Parameter which is always zero More...
class | PiecewiseConstantParameter
| Piecewise-constant parameter. More...
class | TermStructureFittingParameter
| Deterministic time-dependent parameter used for yield-curve fitting. More...

## Detailed Description

Model parameter classes.